Skip to main content

Slug로 마켓 조회

GET/v1/markets/slug/:slugPublic

특정 예측 시장의 상세 정보를 조회합니다. 아웃컴, 확률, 상위 트레이더, 댓글 데이터가 포함됩니다.

#경로 파라미터

파라미터타입필수설명
slugstring마켓 URL slug (예: will-btc-hit-100k)

#응답

{
  "id": "550e8400-e29b-41d4-a716-446655440000",
  "slug": "will-btc-hit-100k",
  "question": "Will BTC hit $100k by June 2026?",
  "description": "Resolves YES if Bitcoin (BTC) price reaches $100,000 USD...",
  "imageUrl": "https://...",
  "category": "CRYPTO",
  "type": "BINARY",
  "status": "ACTIVE",
  "spread": "0.02",
  "totalVolume": "125000.00",
  "totalLiquidity": "45000.00",
  "platformFee": "0.02",
  "views": 3200,
  "featured": true,
  "verified": true,
  "tags": ["bitcoin", "crypto"],
  "tradingStartsAt": "2026-01-15T00:00:00Z",
  "tradingEndsAt": "2026-06-01T00:00:00Z",
  "resolutionDate": "2026-06-01T00:00:00Z",
  "resolvedAt": null,
  "resolvedBy": null,
  "resolutionSource": null,
  "resolutionNote": null,
  "winningOutcomeId": null,
  "createdAt": "2026-01-15T00:00:00Z",
  "updatedAt": "2026-03-10T12:00:00Z",
  "outcomes": [
    {
      "id": "outcome-uuid-1",
      "marketId": "550e8400-e29b-41d4-a716-446655440000",
      "name": "Yes",
      "index": 0,
      "side": "YES",
      "description": "Bitcoin reaches $100k",
      "probability": "0.67",
      "questionId": "question-uuid-1",
      "conditionId": "condition-uuid-1",
      "positionId": "position-uuid-1",
      "createdAt": "2026-01-15T00:00:00Z",
      "updatedAt": "2026-03-10T12:00:00Z"
    },
    {
      "id": "outcome-uuid-2",
      "marketId": "550e8400-e29b-41d4-a716-446655440000",
      "name": "No",
      "index": 1,
      "side": "NO",
      "description": "Bitcoin does not reach $100k",
      "probability": "0.33",
      "questionId": "question-uuid-1",
      "conditionId": "condition-uuid-1",
      "positionId": "position-uuid-2",
      "createdAt": "2026-01-15T00:00:00Z",
      "updatedAt": "2026-03-10T12:00:00Z"
    }
  ],
  "topTraders": [
    {
      "username": "alice",
      "profileImageUrl": "https://...",
      "volume": "50000.00"
    }
  ],
  "comments": [
    {
      "id": "comment-uuid-1",
      "userId": "user-uuid-1",
      "content": "Bullish on this one.",
      "parentId": null,
      "likesCount": 5,
      "replyCount": 2,
      "createdAt": "2026-02-20T10:30:00Z",
      "user": {
        "id": "user-uuid-1",
        "username": "alice",
        "profileImageUrl": "https://..."
      }
    }
  ],
  "winningOutcome": null
}

#응답 필드

필드타입설명
idstring고유 마켓 식별자
slugstringURL 친화적 마켓 식별자
questionstring마켓 질문
descriptionstring상세 마켓 설명 및 정산 기준
imageUrlstring마켓 이미지 URL
categorystring마켓 카테고리
typestringBINARY 또는 MULTI
statusstring현재 마켓 상태
spreadstring마켓 스프레드
totalVolumestringUSDC 총 거래량
totalLiquiditystringUSDC 총 유동성
platformFeestring플랫폼 수수료율
viewsnumber총 조회수
featuredboolean추천 마켓 여부
verifiedboolean검증 여부
tagsarray태그 목록
tradingStartsAtstring거래 시작 시간 (ISO 8601)
tradingEndsAtstring거래 종료 시간 (ISO 8601)
resolutionDatestring예상 정산 날짜 (ISO 8601)
resolvedAtstring|null실제 정산 타임스탬프
resolvedBystring|null정산자 식별자
resolutionSourcestring|null정산 출처 URL 또는 설명
resolutionNotestring|null정산 비고
winningOutcomeIdstring|null승리 아웃컴 ID
createdAtstring생성 타임스탬프 (ISO 8601)
updatedAtstring최종 업데이트 타임스탬프 (ISO 8601)
outcomesarray가능한 아웃컴 목록
outcomes[].idstring아웃컴 식별자
outcomes[].marketIdstring소속 마켓 ID
outcomes[].namestring아웃컴 이름
outcomes[].indexnumber아웃컴 표시 순서
outcomes[].sidestring아웃컴 방향 (예: YES, NO)
outcomes[].descriptionstring아웃컴 설명
outcomes[].probabilitystring현재 확률 (0-1)
outcomes[].questionIdstring연관 질문 ID
outcomes[].conditionIdstring연관 조건 ID
outcomes[].positionIdstring연관 포지션 ID
outcomes[].createdAtstring생성 타임스탬프 (ISO 8601)
outcomes[].updatedAtstring최종 업데이트 타임스탬프 (ISO 8601)
topTradersarray거래량 기준 상위 트레이더
topTraders[].usernamestring트레이더 사용자명
topTraders[].profileImageUrlstring트레이더 프로필 이미지 URL
topTraders[].volumestring트레이더 USDC 거래량
commentsarray마켓 댓글
comments[].idstring댓글 식별자
comments[].userIdstring댓글 작성자 사용자 ID
comments[].contentstring댓글 내용
comments[].parentIdstring|null부모 댓글 ID (답글용)
comments[].likesCountnumber좋아요 수
comments[].replyCountnumber답글 수
comments[].createdAtstring댓글 타임스탬프 (ISO 8601)
comments[].userobject댓글 작성자 정보
comments[].user.idstring작성자 사용자 ID
comments[].user.usernamestring작성자 사용자명
comments[].user.profileImageUrlstring작성자 프로필 이미지 URL
winningOutcomeobject|null전체 승리 아웃컴 객체, 미정산 시 null

#오류

상태 코드설명
404마켓을 찾을 수 없음

#예제

curl https://api.conviction.bet/v1/markets/slug/will-btc-hit-100k
이 페이지가 도움이 되었나요?